Buscar processos
curl --request POST \
--url https://requests.production.judit.io/lawsuits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"search": {
"search_type": "cpf",
"search_key": "string"
}
}
'import requests
url = "https://requests.production.judit.io/lawsuits"
payload = { "search": {
"search_type": "cpf",
"search_key": "string"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({search: {search_type: 'cpf', search_key: 'string'}})
};
fetch('https://requests.production.judit.io/lawsuits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"has_lawsuits": true,
"request_id": "<string>",
"lawsuits": [
{
"code": "<string>",
"instance": 123,
"courts": [
{
"code": "<string>",
"date": "2023-11-07T05:31:56Z",
"name": "<string>"
}
],
"justice": "<string>",
"tribunal": "<string>",
"crawler": {
"source_name": "<string>",
"crawl_id": "<string>",
"weight": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"classifications": [
{
"code": "<string>",
"local_code": "<string>",
"date": "2023-11-07T05:31:56Z",
"name": "<string>"
}
],
"subjects": [
{
"code": "<string>",
"local_code": "<string>",
"date": "2023-11-07T05:31:56Z",
"name": "<string>"
}
],
"parties": [
{
"entity_id": "<string>",
"name": "<string>",
"social_name": "<string>",
"main_document": "<string>",
"documents": [],
"addresses": [],
"contacts": [],
"aka_names": [],
"parents": [],
"birth_date": "2023-11-07T05:31:56Z",
"place_of_birth": "<string>",
"nationality": "<string>",
"regime": "<string>",
"ethnicity": "<string>",
"tags": {},
"latest_searches": [],
"legal_nature": {
"code": "<string>",
"name": "<string>",
"active": true
},
"head_office": true,
"branch_activities": [],
"position": "<string>",
"profession": "<string>",
"size": "<string>",
"is_public": true,
"closing_date": "2023-11-07T05:31:56Z",
"disabled_person": true,
"deficiency": "<string>",
"revenue_service_updated_at": "2023-11-07T05:31:56Z",
"revenue_service_active": true,
"revenue_service_status": "<string>",
"share_capital": 123,
"special_status": "<string>",
"special_status_date": "2023-11-07T05:31:56Z",
"responsible_qualification_id": "<string>",
"age_group": "<string>",
"pep": [],
"entry_date": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"partners": "<unknown>",
"associated_people": "<unknown>",
"person_type": "<string>",
"lawyers": [
{
"entity_id": "<string>",
"name": "<string>",
"social_name": "<string>",
"main_document": "<string>",
"documents": [],
"addresses": [],
"contacts": [],
"aka_names": [],
"parents": [],
"birth_date": "2023-11-07T05:31:56Z",
"place_of_birth": "<string>",
"nationality": "<string>",
"regime": "<string>",
"ethnicity": "<string>",
"tags": {},
"latest_searches": [],
"legal_nature": {
"code": "<string>",
"name": "<string>",
"active": true
},
"head_office": true,
"branch_activities": [],
"position": "<string>",
"profession": "<string>",
"size": "<string>",
"is_public": true,
"closing_date": "2023-11-07T05:31:56Z",
"disabled_person": true,
"deficiency": "<string>",
"revenue_service_updated_at": "2023-11-07T05:31:56Z",
"revenue_service_active": true,
"revenue_service_status": "<string>",
"share_capital": 123,
"special_status": "<string>",
"special_status_date": "2023-11-07T05:31:56Z",
"responsible_qualification_id": "<string>",
"age_group": "<string>",
"pep": [],
"entry_date": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"partners": "<unknown>",
"associated_people": "<unknown>"
}
],
"was_inferred": true
}
],
"attachments": [
{
"attachment_id": "<string>",
"attachment_type": "<string>",
"attachment_name": "<string>",
"step_id": "<string>",
"content": "<string>",
"private": true,
"extension": "<string>",
"tags": {},
"attachment_date": "2023-11-07T05:31:56Z",
"corrupted": true,
"user_data": {}
}
],
"related_lawsuits": [
{
"code": "<string>",
"instance": 123,
"name": "<string>",
"classification": {
"code": "<string>",
"date": "2023-11-07T05:31:56Z",
"name": "<string>"
},
"tags": {}
}
],
"steps": [
{
"lawsuit_cnj": "<string>",
"lawsuit_instance": 123,
"step_id": "<string>",
"private": true,
"step_date": "2023-11-07T05:31:56Z",
"content": "<string>",
"step_type": "<string>",
"attachment_url": "<string>",
"attachment_extension": "<string>",
"source_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tags": {}
}
],
"name": "<string>",
"free_justice": true,
"secrecy_level": 123,
"tribunal_acronym": "<string>",
"county": "<string>",
"state": "<string>",
"city": "<string>",
"judge": "<string>",
"distribution_date": "2023-11-07T05:31:56Z",
"last_step": {
"lawsuit_cnj": "<string>",
"lawsuit_instance": 123,
"step_id": "<string>",
"private": true,
"step_date": "2023-11-07T05:31:56Z",
"content": "<string>",
"step_type": "<string>",
"attachment_url": "<string>",
"attachment_extension": "<string>",
"source_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tags": {},
"steps_count": 123
},
"main_lawsuit": {
"code": "<string>",
"instance": 123,
"name": "<string>",
"classification": {
"code": "<string>",
"date": "2023-11-07T05:31:56Z",
"name": "<string>"
},
"tags": {}
},
"tags": {},
"justice_description": "<string>",
"status": "<string>",
"phase": "<string>",
"phase_history": [
{
"name": "<string>",
"phase_date": "2023-11-07T05:31:56Z",
"step_id": "<string>"
}
],
"sentence": {
"sentence_type": "<string>",
"sentence_date": "2023-11-07T05:31:56Z",
"step_id": "<string>"
},
"appeal_judgement": {
"appeal_judgement_type": "<string>",
"appeal_judgement_date": "2023-11-07T05:31:56Z",
"step_id": "<string>"
},
"custody": {
"custody_type": "<string>",
"custody_date": "2023-11-07T05:31:56Z",
"step_id": "<string>"
},
"appeal": {
"appeal_date": "2023-11-07T05:31:56Z",
"step_id": "<string>"
},
"distribution": {
"distribution_type": "<string>",
"distribution_date": "2023-11-07T05:31:56Z",
"step_id": "<string>"
},
"situation": "<string>",
"area": "<string>",
"metadata": {},
"system": "<string>",
"tribunal_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"pipelines": [],
"full_lawsuit_file": {
"updated_at": "2023-11-07T05:31:56Z"
},
"amount": 123
}
]
}{
"error": {
"name": "HttpUnauthorizedError",
"message": "UNAUTHORIZED",
"stack": "<string>",
"data": "User must be authenticated"
}
}{
"error": {
"name": "HttpForbiddenError",
"message": "FORBIDDEN",
"stack": "<string>",
"data": "Authenticated user is not authorized"
}
}{
"error": {
"name": "HttpInternalServerError",
"message": "INTERNAL_SERVER_ERROR",
"stack": "<string>",
"data": {
"message": "Database connection failed"
}
}
}Lawsuits · Consultas Síncronas (Cache JUDIT)
Consulta Datalake Hot Storage
Retorna processos atrelados a consulta histórica
POST
/
lawsuits
Buscar processos
Autorizações
jwtAuthapiKeyAuth
JWT Bearer token for authentication
Corpo
application/json
Show child attributes
Show child attributes
Esta página foi útil?
⌘I